Loading...
Searching...
No Matches
find.hpp File Reference

## Functions

template<typename I , typename S , typename V , typename P = identity> requires input_iterator<I> && sentinel_for<S, I> && indirect_relation<equal_to, projected<I, P>, V const *>
constexpr I | ranges::find (I first, S last, V const &val, P proj=P{})
| template function `find`
template<typename Rng , typename V , typename P = identity> requires input_range<Rng> && indirect_relation<equal_to, projected<iterator_t<Rng>, P>, V const *>
constexpr borrowed_iterator_t< Rng > | ranges::find (Rng &&rng, V const &val, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.